# Neue Routingboards

## Motivation

Zwischen HLkomm und Nutzenden braucht es irgendeinen Server/Router der routet, das Neunzehn-Script ausführt und ggf. Shaped. Diese Aufgaben sind nicht besonders Rechenintensiv, benötigen jedoch höchste Zuverlässigkeit.

## Lösung

Nach langem überlegen für eine redundante Server-Lösung wurde sich dagegen entschlossen einen weiteren (wie sol) Server selbst zu konfigurieren. Stattdessen wurde zwei [APU1D4](https://www.pcengines.ch/apu1d4.htm) bestellt. Die Board sind mit ~150€ Relativ günstig und verfügen über gute Netzwerk Performance. Es wurde sich gegen das neue APU2 Modell entschieden, da dieses einen Intel Netzwerkchip einsetzt welcher under LEDE/OpenWrt eine schlechtere performance hat als die Realtek-Chips auf dem APU1.

Die Ansible-Rollen für Netzwerk, DHCP, Routing und das Neunzehn-Script wurde entsprechend modifiziert, dass diese auch für LEDE funktionieren.

## Status

Aktuell werden als Test zwei Anschlüsse über das APU Board gefahren. Dies zeigte bisher abgesehen von falsch Konfigurierten DHCP-Servern bisher keine technischen Probleme. (Uptime: 82 days)

## Probleme

* Wir nutzen für das monitoring Prometheus welches aktuell noch nicht (von uns) auf LEDE getestet wurde.
* Die Firewall-Regel besagen aktuell, dass sich Client-Antennen nur mit sol Verbinden dürfen. Dies führt dazu, dass ein plötzlicher Umstieg nicht möglich ist.
* Der zweite Core-Router wurde zwar bereits konfiguriert, jedoch gibt es noch kein verfahren, wie dieser im Falle einer Störung automatisch die Arbeit von Core 1 übernimmt.
*


