# Serverraum

## Zustand vorher

In einem modifizierten Kühlschrank im Heizungskeller der Wurznerstraße 2 stand für mehrere Monate unser bis dahin einziger Server "sol". Der Kühlschrank war Luftdicht und so verhältnismäßig gut für den Einsatz geeignet. Problematisch jedoch, dass Ein- und Umbau sehr aufwändig waren, auch war der Platz für weitere Geräte sehr begrenzt.

## Planung

Um einen sicheren Platz für unsere Server zu haben und einen guten Übergabeort mit der HLkomm haben wir uns für einen Serverraum entschieden. Anspruch war ein abgeschlossener Raum der möglichst trocken ist und durch ein Schluss gesichert ist. In dem Raum sollte sich ein Serverschrank befinden um Platz für weitere Server zu bieten.

## Bau

In einem ungenutzten Teil des Kellers der Wurze 2 haben haben wir binnen weniger Wochen zwei Mauern aufgebaut. Mit etwas Musik und Bier wurde dies zu einem durchaus erträglichem Abendprogramm. Eine Stahltür wurde über Kleinanzeigen besorgt (~50€). Die Einpassung der Tür gestaltete sich als komplizierter als erwartet da die Mauer teils unsauber (nicht bündig) gebaut wurde.

Da der Keller sehr feucht war/ist haben wir uns dafür entschieden den Boden mit Folien auszulegen und darüber eine etwa 5cm hohe Beton Schicht zu gießen. Dies war vor allem logistisch Anstrengend.

Der Serverraum verfügt über eine eigene Sicherung zum Hauptstromkasten um unberührt bei Problemen im Rest des Hauses zu bleiben. Mehrere Lampen und Steckdosen wurden nach verputzen der Wände ebenfalls eingebaut. Ein Stromkabel geht aus dem Server durch einen ungenutzten Kaminschacht bis unters Dach. Das Kabel versorgt dort einen Switch.

Einige Sensoren im Raum geben Auskunft über Luftfeuchtigkeit und Temperatur. Diese werden an unseren Server weitergegeben.

## Status

Aktuell ist die Luftfeuchtigkeit verhältnismäßig hoch. Ein Lufttrockner schaltet sich bei zu hohen Werten automatisch ein.

Die Tür besitzt ein Schloss welches allerdings nicht das beste auf dem Markt ist.

Es wurde begonnen die Wände mit Goldfolie zu verkleiden um eine bessere Optik als auch bessere Luftwerte zu erhalten. Dieses Projekt ist noch nicht abgeschlossen.

## Zukunft

Ein weiterer Sensor für die Tür ist geplant um festzustellen wann diese geöffnet wurde.
Zusätzlich soll ein Sensor mit dem digitalen Stromzähler verbunden werden um dessen Werte auslesen zu können.

Die Tür sollte ein besseres Schloss erhalten.

Der aktuell eingesetzte Serverschrank erwies sich als sehr unpassend da die tiefe zu gering ist für diverse Server-Gehäuse. Dieser Schrank soll Zeitnah ausgetauscht werden.
