# Abrechnungssoftware

## Motivation

Anfangs waren unsere monatlichen Geldeingänge so wenige, dass ein einfacher Blick auf den Kontostand verraten hat wer bereits überwiesen hat. Mit aktuell fast 30 Anschlüssen gestaltet sich dies jedoch Zunehmend komplizierter und so wurde ein Tool zusammengebastelt.

## Funktionen

* Hinzufügen neuer Anschlüsse (Mail, Anschlusstag, Monats- und Anschlusskosten)
* Generieren von Rechnungen basierend auf einem Template
	* Aktuell ist dies mit einem HTML Template gelöst, Latex ist jedoch auch möglich
* Versenden der Rechnungen als Anhang an Nutzende
* Synchronisation des Kontostandes mit einer lokalen Datenbank
* Zuordnen von Überweisenden und automatisches erkennen folgenden Zahlungen
* Visuelles hervorheben von überfälligen Zahlungen

### geplante Funktionen

* Startseite mit Statistiken erstellen.
* Template für Rechnungen Verbessern
* Funktion für Rundschreiben an alle Nutzenden einbauen (bspw. für geplanten Netzumbau/Downtime)
* Datenbank verschlüsseln

## Umsetzung

Das aktuelle Script baut auf Python3 auf. Dazu wird flask für das erzeugen eines Webinterface genutzt. Alle Transaktionen und Nutzenden werden in eine sqlite3 Datenbank gespeichert. Für die Synchronisation mit dem Bank-Server wird das folgende Paket verwenden:
https://github.com/raphaelm/python-fints
