# Mitmachen vs. Datenschutz

## Problem

Als offizieller ISP müssen wir einigen Auflagen zum Datschenschutz (Link?) folgen. Da wir aber ein offenes Projekt schaffen wollen und jegliche Arbeit ehrenamtlich machen stehen wir vor folgendem Problem: Wie können neue Leute im Projekt mitarbeiten ohne dabei interne Daten über Nutzende zu veröffentlichen.

### Konkreter

#### Antennen

Antennen sind aktuell nach ihrem Standort benannt sowie eine aufsteigende Nummer. Beispielsweise existieren die Antennen wurze2-1, wurze2-2, etc. Neue Leuten Zugriff auf unser internes Verwaltungstool Ansible zu geben würde so ebenfalls bedeuten zu publizieren wo unsere Nutzenden wohnen.

##### Lösung?

Wir könnten unsere Mitglieder fragen ob eine Bekanntgabe der Adresse gegen deren Interesse ist. Es handelt sich dabei nur um Straße und Hausnummer was keine direkte Identifikation von Personen ermöglicht.
Sollte es keine Einsprüche geben wäre es möglich eine ähnliche Karte wie bei Freifunk zu erstellen, auf der Angezeigt wird, wo aktuell Reudnetz empfangen wird. Diese Information könnte genutzt werden um Nutzenden sich selbst anzuschließen im Falle der Verwendung einer Mesh-Struktur.

#### Core Router

Jeglicher Traffic wird über sol oder unsere (redundanten) Coreserver geroutet. Zugriff auf die Server würde ein abhören des Traffics erlauben.

##### Lösung?

Statt direkt Zugriff auf den Server zu geben könnte das Ansible veröffentlicht werden. Mittels Pull Requests können Änderungen vorgeschlagen werden.

