# Router mit 4 Subnetzen in 4 VLANs

Konkret wurde ein Ubnt EdgeRouter X (SFP) konfiguriert.

Es werden zuerst 4 Interfaces definiert, eth_1 bis eth_4 (WAN an dem Router
auf eth_0). Jedes Interface bekommt eine IP Adresse entsprechend des Subnetzes.
Wichtig scheint `interface` zu sein was gleich für den DHCP Server (dnsmasq)
benutzt wird. `ifname` scheint beliebig zu zu sein.

Alles Interfaces bekommen ein eigenes VLAN, Standard ist VLAN 1 für LAN und VLAN
2 für WAN. Wir haben kein LAN sondern direkt WAN mit den einzelnen Subnetzen
verbunden. Also immer `<Port> 6t` (6t für *getaggt* an CPU).

Die LAN VLANs fangen einfach mit 101 aufwärts an (da VLAN 2 für WAN). 

Jedem Interface wird dann ein DHCP Server zugeordnet, dabei wird das vorher
angegebene `ifname` hier zum `interface`


# vim options 
# set tw=80
