## Erstmal Generell

Die APC-CS500 ist eine USV, sie dient also dazu, bei Stromausfällen die angeschlossenen Geräte mit Strom zu versorgen.
In der Regel ist ein einzelner Bleigelakku eingabaut, es lassen sich aber (mit passenden Kabeln) beliebige Bleibatterien anschließen.

## Data-Port / Das Interface

Die USV lässt sich über den Anschluss Data-Port an einen PC anzuschließen, damit dieser den Zustand der Stromversorgung kennt. Der Port ist entgegen meines ersten Eindrucks keine Normale Ethernet-Buchse (RJ-45), sondern hat 10 Pins (RJ-50). Mit einem passenden Kabel lässt sich dieser dann mit einem USB-Anschluss verbinden. Die Kabel haben lustige Preise.

Ein Ethernet-Stecker passt aber trotzdem in die Buchse. Nur fehlen dann die beiden äußeren Pins. Solange APC keinen der äußeren Pins für USB verwendet, ist das also alles gar kein Problem. Machen sie aber (die Schweine).

### Das Pinout des Kabel:

AP9827 cable for CS500
```
RJxx end (looking AGAINST the connector):
   ------
  |    --  1 - green - USB 3 - USB+
  |    --  2 - white - USB 2 - USB-
  |    --  3
 _|    --  4 - black - usb 4 - GND
| |    --  5 
|_|    --  6
  |    --  7 - brown - shield
  |    --  8
  |    --  9
  |    --  10 - red - usb 1 - +5V
   ------ 
   
USB end (looking against the connector):
 -----
|   | |
|  X| |  1 - red - +5V 
|   | |
|  X| |  2 - white - USB-
|   | |
|  X| |  3 - green - USB+
|   | |
|  X| |  4 - black - GND
|   | |
 -----  shield - brown - SHIELD
```

### Die Lösung
Deshalb habe ich auf der Platine der USV Pin 10 mit Pin 6 und Pin 1 mit Pin 5 verbunden. (Die Beiden Pins sind tatsächlich ungenutzt)
Nun lässt sich ein einfacher Ethernetstecker an ein USB-Kabel patchen und die USV mit dem PC verbinden.

[[/uploads/apc-cs500_umbau.JPG|alt="Die Brücken auf der Platine"]]


